Package com.sun.jna.platform.win32

# Class W32FileUtils

java.lang.Object
com.sun.jna.platform.FileUtils
com.sun.jna.platform.win32.W32FileUtils

public class W32FileUtils extends FileUtils

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `W32FileUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasTrash()`
  `void`
  `moveToTrash(File... files)`
  Move the given file to the system trash, if one is available.

  ### Methods inherited from class com.sun.jna.platform.FileUtils

  `getInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### W32FileUtils

    public W32FileUtils()

- ## Method Details

  - ### hasTrash

    public boolean hasTrash()
    Overrides:
      `hasTrash` in class `FileUtils`

  - ### moveToTrash

    public void moveToTrash(File... files) throws IOException
    Description copied from class: `FileUtils`
    Move the given file to the system trash, if one is available.
    Specified by:
      `moveToTrash` in class `FileUtils`
    Parameters:
      `files` - files to move
    Throws:
      `IOException` - on failure.